from typing import List
from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.user import UserSchema
from helpers.user_helpers import get_active_users

router = APIRouter()

@router.get("/simulate", status_code=200, response_model=List[UserSchema])
def list_active_users(db: Session = Depends(get_db)):
    active_users = get_active_users(db)
    return active_users